Skip to main content
POST
/
certificates
/
{id}
/
revoke
Revoke a certificate
curl --request POST \
  --url https://test.didxtech.com/me-creds/api/certificates/{id}/revoke \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "status": "expired",
    "expiresAt": "<string>",
    "subjectKeyIdentifier": "<string>",
    "certificate": "<string>",
    "type": "verifierSignRequest",
    "keyType": "P-256",
    "capabilities": {
      "signMdl": true
    },
    "parentCertificateId": "<string>"
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Certificate revoked

data
object
required
meta
object
errors
object[]